	
	
	<? if (($this->controller->getTask() == 'update' || $this->controller->getTask() == 'edit' || $this->controller->getTask() == 'add')) { ?>
	
	<? 
	$title = $this->controller->getTask() == 'add' ? t('Add') : t('Update');
	$df = Loader::helper('form/date_time');
	
	if (is_object($faq)) { 
		$faqTitle = $faq->getCollectionName();
		$faqDescription = $faq->getCollectionDescription();
		$faqDate = $faq->getCollectionDatePublic();
		$cParentID = $faq->getCollectionParentID();
		$ctID = $faq->getCollectionTypeID();
		$faqBody = '';
		$eb = $faq->getBlocks('Main');
		if (is_object($eb[0])) {
			$faqBody = $eb[0]->getInstance()->getContent();
		}
		$task = 'update';
		$buttonText = t('Update Entry');
	} else {
		$task = 'add';
		$buttonText = t('Add FAQ Entry');
	}
	
	?>
	
	<div style="width: 760px">
	
	<h1><span><?=t('FAQs')?></span></h1>
	<div class="ccm-dashboard-inner">
	
	<h2><span><?=$title?> FAQ Entry</span></h2>
	
	<form method="post" action="<?=$this->action($task)?>" id="faq-form">
	<? if ($this->controller->getTask() != 'add') { ?>
		<?=$form->hidden('faqID', $faq->getCollectionID())?>
	<? } ?>
	
	<strong><?=$form->label('faqTitle', t('Question'))?></strong>
	<div><?=$form->text('faqTitle', $faqTitle, array('style' => 'width: 730px'))?></div>
	<br/>
	<strong><?=$form->label('faqDescription', t('Brief Answer'))?></strong>
	<div><?=$form->textarea('faqDescription', $faqDescription, array('style' => 'width: 730px; height: 100px'))?></div>
	<br/>			
	<strong><?=$form->label('cParentID', t('Section'))?></strong>
	<? if (count($sections) == 0) { ?>
		<div><?=t('No sections defined. Please create a page with the attribute "faq_entry" set to true.')?></div>
	<? } else { ?>
		<div><?=$form->select('cParentID', $sections, $cParentID)?></div>
	<? } ?>
<br/>
	
	<strong><?=$form->label('ctID', t('Page Type'))?></strong>
	<div><?=$form->select('ctID', $pageTypes, $ctID)?></div>
	<br/>
	<strong><?=$form->label('faqDate', t('Date/Time'))?></strong>
	<div><?=$df->datetime('faqDate', $faqDate)?></div>
	<br/>
	<strong><?=t('Full Answer')?></strong>
	<?php Loader::element('editor_init'); ?>
	<?php Loader::element('editor_config'); ?>
	<?php Loader::element('editor_controls', array('mode'=>'full')); ?>
	<?=$form->textarea('faqBody', $faqBody, array('style' => 'width: 100%; height: 150px', 'class' => 'ccm-advanced-editor'))?>
	<br/>
	<? 
	Loader::model("attribute/categories/collection");
	$akt = CollectionAttributeKey::getByHandle('faq_tags');
	if (is_object($faq)) {
		$tvalue = $faq->getAttributeValueObject($akt);
	}
	?>
	<div class="faq-attributes">
		<div>
			<strong><?=$akt->render('label');?></strong>
			<?=$akt->render('form', $tvalue, true);?>
		</div>
	</div>
	
	<br/>
	
	<?
	
	$ih = Loader::helper('concrete/interface');
	print $ih->button(t('Cancel'), $this->url('/dashboard/example_faq/'), 'left');
	print $ih->submit($buttonText, 'faq-form');
	?>
	<div class="ccm-spacer">&nbsp;</div>
	
	</form>
	
	</div>
	</div>
	
	<? } else { ?>
	
		<h1><span><?=t('FAQs')?></span></h1>
		<div class="ccm-dashboard-inner">
		<h2><?=t('New FAQ')?></h2>
		<a href="<?=$this->action('add')?>"><?=t('Click here to add a new FAQ Entry &gt;')?></a>
		<Br/><br/>
		
		<h2><?=t('View/Search FAQs')?></h2>
	
		<form method="get" action="<?=$this->action('view')?>">
		<?
		$sections[0] = '** All';
		asort($sections);
		?>
		
		<strong><?=$form->label('cParentID', t('Section'))?></strong>
		<div><?=$form->select('cParentID', $sections, $cParentID)?>
		<?=$form->submit('submit', 'Search')?>
		</div>
		</form>
		<br/>
		<?
		$nh = Loader::helper('navigation');
		if ($faqList->getTotal() > 0) { 
			$faqList->displaySummary();
			?>
			
		<table border="0" class="ccm-results-list" cellspacing="0" cellpadding="0">
			<tr>
				<th class="<?=$faqList->getSearchResultsClass('cvName')?>"><a href="<?=$faqList->getSortByURL('cvName', 'asc')?>"><?=t('Name')?></a></th>
				<th class="<?=$faqList->getSearchResultsClass('cDateAdded')?>"><a href="<?=$faqList->getSortByURL('cDateAdded', 'asc')?>"><?=t('Date Added')?></a></th>
				<th class="<?=$faqList->getSearchResultsClass('cvDatePublic')?>"><a href="<?=$faqList->getSortByURL('cvDatePublic', 'asc')?>"><?=t('Public Date')?></a></th>
				<th><?=t('Page Owner')?></th>
				<th>&nbsp;</th>
			</tr>
			<?
			foreach($faqResults as $cobj) { ?>
			<tr>
				<td><a href="<?=$nh->getLinkToCollection($cobj)?>"><?=$cobj->getCollectionName()?></a></td>
				<td><?=$cobj->getCollectionDateAdded()?></td>
				<td><?=$cobj->getCollectionDatePublic()?></td>
				<td>
					<? 
					$user = UserInfo::getByID($cobj->getCollectionUserID());
					print $user->getUserName();
					?>
				</td>
				<td><A href="<?=$this->url('/dashboard/example_faq', 'edit', $cobj->getCollectionID())?>"><?=t('Edit')?></a></td>
			</tr>
			<? } ?>
			
			</table>
			<br/>
			<?
			$faqList->displayPaging();
		} else {
			print t('No FAQ entries found.');
		}
		?>
		</div>
		
	<? }?>
